Add a component to a pipeline stage
Adds a component to the components a stage deploys.
POST
/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/componentsAuthorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
project_iduuidrequiredThe unique identifier for the project
environment_iduuidrequiredThe unique identifier of the environment
pipeline_iduuidrequiredThe unique identifier for the pipeline
pipeline_stage_iduuidrequiredThe unique identifier for the pipeline stage
Request body
requiredapplication/jsoncomponent_iduuidrequiredA universally unique identifier (UUID) string
component_kindcomponent_kindrequiredComponent kind for component-scoped variables
Allowed:
KjobKApplicationKHelmKDatabaseis_requiredbooleantimeout_secondsintegermin 1
Responses
200
Pipeline stage component added successfully
iduuidrequiredA universally unique identifier (UUID) string
stage_iduuidrequiredA universally unique identifier (UUID) string
component_iduuidrequiredA universally unique identifier (UUID) string
component_kindcomponent_kindrequiredComponent kind for component-scoped variables
Allowed:
KjobKApplicationKHelmKDatabaseis_requiredbooleanrequiredtimeout_secondsinteger | nullcreated_atstring<date-time>requireddefault
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling